Bullet Collision Detection & Physics Library: btOverlappingPairCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
btOverlappingPairCallback Class Referenceabstract

The btOverlappingPairCallback class is an additional optional broadphase user callback for adding/removing overlapping pairs, similar interface to btOverlappingPairCache. More...

`#include <btOverlappingPairCallback.h>`

Inheritance diagram for btOverlappingPairCallback:
[legend]

## Public Member Functions
virtual | ~btOverlappingPairCallback ()
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual void * | removeOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1, btDispatcher *dispatcher)=0
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *proxy0, btDispatcher *dispatcher)=0

## Protected Member Functions
| btOverlappingPairCallback ()

## Detailed Description

The btOverlappingPairCallback class is an additional optional broadphase user callback for adding/removing overlapping pairs, similar interface to btOverlappingPairCache.

Definition at line 24 of file btOverlappingPairCallback.h.

## Constructor & Destructor Documentation

## ◆ btOverlappingPairCallback()

btOverlappingPairCallback::btOverlappingPairCallback | ( |  | ) |
| inlineprotected

Definition at line 27 of file btOverlappingPairCallback.h.

## ◆ ~btOverlappingPairCallback()

virtual btOverlappingPairCallback::~btOverlappingPairCallback | ( |  | ) |
| inlinevirtual

Definition at line 30 of file btOverlappingPairCallback.h.

## Member Function Documentation

## ◆ addOverlappingPair()

virtual btBroadphasePair * btOverlappingPairCallback::addOverlappingPair | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1 )
| pure virtual

Implemented in btGhostPairCallback, btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ removeOverlappingPair()

virtual void * btOverlappingPairCallback::removeOverlappingPair | ( | btBroadphaseProxy * | proxy0,
|  | btBroadphaseProxy * | proxy1,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btGhostPairCallback, btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

## ◆ removeOverlappingPairsContainingProxy()

virtual void btOverlappingPairCallback::removeOverlappingPairsContainingProxy | ( | btBroadphaseProxy * | proxy0,
|  | btDispatcher * | dispatcher )
| pure virtual

Implemented in btGhostPairCallback, btHashedOverlappingPairCache, btNullPairCache, and btSortedOverlappingPairCache.

The documentation for this class was generated from the following file:

- btOverlappingPairCallback.h